Get NFT transfers by transaction
curl --request GET \
--url https://data-api.b3.fun/insights/v1/nfts/transfers/transaction/{transaction_hash}import requests
url = "https://data-api.b3.fun/insights/v1/nfts/transfers/transaction/{transaction_hash}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data-api.b3.fun/insights/v1/nfts/transfers/transaction/{transaction_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"token_id": "<string>",
"chain_id": 123,
"block_number": "<string>",
"block_timestamp": "<string>",
"transaction_hash": "<string>",
"from_address": "<string>",
"to_address": "<string>",
"log_index": 123,
"contract_address": "<string>",
"transfer_type": "mint",
"token_type": "erc721",
"amount": "<string>",
"block_hash": "<string>",
"nft_metadata": {
"name": "<string>",
"description": "<string>",
"image_url": "<string>",
"video_url": "<string>",
"animation_url": "<string>",
"background_color": "<string>",
"external_url": "<string>",
"status": "<string>",
"metadata_url": "<string>",
"owner_addresses": [
"<string>"
],
"extra_metadata": {
"attributes": [
{
"trait_type": "<string>",
"value": "<string>",
"display_type": "<string>"
}
],
"properties": {}
},
"collection": {
"name": "<string>",
"description": "<string>",
"image_url": "<string>",
"banner_image_url": "<string>",
"featured_image_url": "<string>",
"external_link": "<string>"
},
"contract": {
"chain_id": 1,
"address": "vitalik.eth",
"name": "<string>",
"symbol": "<string>",
"type": "erc721"
}
},
"nft_sale": {
"transaction_hash": "<string>",
"items_sold": [
{
"token_address": "vitalik.eth",
"token_id": "<string>",
"amount": "<string>",
"token_type": "<string>",
"from_address": "vitalik.eth",
"to_address": "vitalik.eth"
}
],
"payment": [
{
"token_address": "vitalik.eth",
"token_id": "<string>",
"amount": "<string>",
"token_type": "<string>",
"from_address": "vitalik.eth",
"to_address": "vitalik.eth"
}
],
"marketplace_address": "<string>",
"marketplace_name": "<string>"
}
}
]
}{
"error": "<string>"
}insights/nfts
Get NFT transfers by transaction
Get NFT transfers by transaction
GET
/
insights
/
v1
/
nfts
/
transfers
/
transaction
/
{transaction_hash}
Get NFT transfers by transaction
Path Parameters
Query Parameters
Use chain_id instead
Example:
[20, 56, 1]
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., ?chain_id=20&chain_id=56. Optional, because a single chain can as well be specified as a subdomain
Example:
[20, 56, 1]
The number of items to return
Required range:
0 < x <= 1000Example:
20
Page number (0-indexed). Maximum value depends on query parameters: 20 for regular queries, 500 when using aggregate or group_by parameters.
Required range:
x >= 0Example:
0
Whether to include metadata for the tokens
Available options:
true, false Example:
"false"
Whether to include owner addresses in the NFT metadata (only if metadata is requested)
Available options:
true, false Example:
"false"
The types of tokens to include in the response. Can be an empty array to include all types
Available options:
erc1155, erc721, erc20 Response
Success
Show child attributes
Show child attributes
HypeDuel